
NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black
Model GS752TSBPart no. GS752TSB-100EUSEAN 6064490848010
60 specifications
- Memory128 MB
- Speed1 Gbit/s
- Weight4.31 kg
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity48
Overview
- Memory
- 128 MB
- Speed
- 1 Gbit/s
- Weight
- 4.31 kg
- Colour
- Black
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 48
- Brand
- NETGEAR
- Category
- Network Switch
- Model
- GS752TSB
- Part number
- GS752TSB-100EUS
- EAN / UPC
- 6064490848010, 606449048995, 606449084801, 3578223132787 +2 more
- Also known as
- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black
Specifications
60 specifications in 14 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Switch layer | L3 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| MIB support | RFC 1213, RFC 1643, RFC 1493, RFC 2131 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 48 |
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Gigabit Ethernet (copper) ports quantity | 48 |
| Combo SFP ports quantity | 2 |
| SFP module slots quantity | 4 |
| SFP/SFP+ slots quantity | 6 |
| Power connector | DC-in jack |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
| 10G support | No |
| Copper ethernet cabling technology | 1000BASE-T, 100BASE-TX, 10BASE-T |
| Port mirroring | Yes |
| Full duplex | Yes |
| Auto-negotiation | Yes |
| Auto-sensing | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Number of VLANs | 256 |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 16000 entries |
| Supported data transfer rates | 10/100/1000 Mbps |
| Store-and-forward | Yes |
| Maximum data transfer rate | 1 Gbit/s |
| Packet buffer memory | 2 MB |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP client |
| IGMP snooping | Yes |
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS |
Protocols
| Specification | Value |
|---|---|
| Management protocols | SNMP v1, v2c, v3 |
Design
| Specification | Value |
|---|---|
| Stackable | Yes |
| Product colour | Black |
| LED indicators | Link |
Performance
| Specification | Value |
|---|---|
| Memory type | DDR-SDRAM |
| Internal memory | 128 MB |
| Flash memory | 32 MB |
| Firmware upgradeable | Yes |
| Mean time between failures (MTBF) | 303220 h |
Power
| Specification | Value |
|---|---|
| AC input voltage | 100 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Input current | 1.4 A |
| Power consumption (typical) | 77 W |
Other features
| Specification | Value |
|---|---|
| Bandwidth | 56 Gbit/s |
| Power LED | Yes |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 50 °C |
| Storage temperature (T-T) | -20 - 70 °C |
| Operating relative humidity (H-H) | 10 - 90% |
| Storage relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 440 mm |
| Depth | 257 mm |
| Height | 43 mm |
| Weight | 4.31 kg |
Certificates
| Specification | Value |
|---|---|
| Certification | CE, FCC, VCCI, EN 55022 (CISPR 22), EN 55024 (CISPR 24) |
Logistics data
| Specification | Value |
|---|---|
| Harmonized System (HS) code | 85176990 |
What people say
Reviews & ratings
NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black
No reviews yet
Be the first to tell others how NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black
All network switch comparisons- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black vsNETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steelCompare specs
- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black vsNETGEAR ProSafe Managed L2 Power over Ethernet (PoE) BlackCompare specs
- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black vsNETGEAR GS748TS3U Managed L3 Power over Ethernet (PoE) GreyCompare specs
- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black vsNETGEAR GS724TPS3 Managed L3 Power over Ethernet (PoE) GreyCompare specs
- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black vsTP-Link TL-SL3428 Managed L2 Gigabit Ethernet (10/100/1000) 1U BlackCompare specs
- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black vsTP-Link JetStream 24-Port Gigabit L2 Managed PoE+ Switch with 4 Combo SFP SlotsCompare specs
- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black vsD-Link DSS-5E network switch Unmanaged BlackCompare specs
- NETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) Black vsZyxel GS-108S Unmanaged BlackCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB


















